From 6b90885d4f8699e8607481422a43ec72fa84f295 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 22:37:08 +0200
Subject: [PATCH 26/45] Turn Algo_Type's name attribute into const char *

---
 algo.h        | 2 +-
 common-algo.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/algo.h b/algo.h
index 5b7b874..49c4f41 100644
--- a/algo.h
+++ b/algo.h
@@ -35,7 +35,7 @@
 
 struct Algo_Type {
 
-	const unsigned char *name; /* identifying name */
+	const char *name; /* identifying name */
 	char val; /* a value for this cipher, or -1 for invalid */
 	const void *data; /* algorithm specific data */
 	char usable; /* whether we can use this algorithm */
diff --git a/common-algo.c b/common-algo.c
index 0886a2b..76d3977 100644
--- a/common-algo.c
+++ b/common-algo.c
@@ -322,7 +322,7 @@ void buf_put_algolist(buffer * buf, algo_type localalgos[]) {
 				buf_putbyte(algolist, ',');
 			donefirst = 1;
 			len = strlen(localalgos[i].name);
-			buf_putbytes(algolist, localalgos[i].name, len);
+			buf_putbytes(algolist, (const unsigned char *) localalgos[i].name, len);
 		}
 	}
 	buf_putstring(buf, algolist->data, algolist->len);

